@import '_content/ReactorBlazorQRCodeScanner/ReactorBlazorQRCodeScanner.boasv5qmh0.bundle.scp.css';

/* /Components/MainPage/StudySelector/StudyComponent.razor.rz.scp.css */
.mainbox[b-cl9s1e95xa] {
    border-style: none;
    /*  border-color: black;*/
    border-radius: 10px;
    border-width: 2px;
    width: 320px;
    height: 210px;
    display: flex;
    flex-direction: column;
    margin: 5px;
    padding: 5px;
    text-align: center;
    /*align-items: flex-start;*/
    cursor: pointer;
    background-color: white;
    box-shadow: 0 0 10px 2px rgba(0, 0, 0, 0.2);
}

.mainboxSS[b-cl9s1e95xa] {
    border-style: none;
    /*  border-color: black;*/
    border-radius: 10px;
    border-width: 2px;
    width: 320px;
    height: 210px;
    display: flex;
    flex-direction: column;
    margin: 5px;
    padding: 5px;
    text-align: center;
    /*align-items: flex-start;*/
    cursor: pointer;
    background-color: #daddf5;
    box-shadow: 0 0 10px 2px rgba(0, 0, 0, 0.2);
}

.mainbox:hover[b-cl9s1e95xa] {
    background-color: lightgreen;
}

.mainboxInactive[b-cl9s1e95xa] {
    border-style: none;
    /*  border-color: black;*/
    border-radius: 10px;
    border-width: 2px;
    width: 320px;
    height: 210px;
    display: flex;
    flex-direction: column;
    margin: 5px;
    padding: 5px;
    text-align: center;
    /*align-items: flex-start;*/
    cursor: pointer;
    background-color: rgb(242, 230, 217);
    box-shadow: 2px 4px 5px rgba(0, 0, 0, 0.2);
}

.row[b-cl9s1e95xa] {
    display: flex;
    flex-wrap: wrap;
}

    .row > div[b-cl9s1e95xa] {
        /*      border: 1px solid #ccc; This helps to work with the divs.
    box-sizing: border-box;*/
    }

.row1[b-cl9s1e95xa] {
    height: 30px;
}

.col1[b-cl9s1e95xa] {
    flex: 1;
    display: flex;
    align-items: center;
    justify-content: center;
}


.col2[b-cl9s1e95xa] {
    display: flex;
    flex: 1;
    height: 110px;
    width: 100%;
}

/*.col2 img {
    width: 100%;
    height: 100%;
    object-fit: scale-down;
    align-items: flex-start;
    justify-content: left;

    }*/

.StudyImage[b-cl9s1e95xa] {
    height: 90px; /* or use width: 90px if that's your preference */
    width: auto; /* let width adjust to maintain aspect ratio */
    max-width: 100px;
    max-height: 100px;
    border-radius: 46px;
    object-fit: contain;
    margin: 5px;
    padding: 0;
    display: block;
}

.col3[b-cl9s1e95xa] {
    flex: 1;
    display: flex;
    align-items: flex-end;
    justify-content: flex-end;
}



    .col3 > div[b-cl9s1e95xa] {
        flex: 1;
    }

.row2[b-cl9s1e95xa] {
    height: 100%;
}

.col5[b-cl9s1e95xa] {
    flex: 2;
    /* height: 200px;*/
    display: flex;
    flex-direction: column;
}

.row3[b-cl9s1e95xa] {
    height: 40px;
    display: flex;
    flex-direction: row;
}

    .row3 > div[b-cl9s1e95xa] {
        /*border: 1px solid #ccc;
    box-sizing: border-box;*/
    }


.firstcontainerRow3[b-cl9s1e95xa] {
    flex: 1;
}

.info[b-cl9s1e95xa] {
    width: 65px;
}

.substudybox[b-cl9s1e95xa] {
    width: 65px;
}

.titlebox[b-cl9s1e95xa] {
    /*flex: 0.2;*/
    padding-top: 15px;
    padding-bottom: 10px;
    font-size: 20px;
    font-weight: 700;
}

.Pibox[b-cl9s1e95xa] {
}

.NewbannerContainer[b-cl9s1e95xa] {
    position: relative;
    /*  margin-top: -12px;
    margin-right: 5px;*/
}

.Newbanner[b-cl9s1e95xa] {
    position: absolute;
    top: -9px;
    left: 2px;
    width: 50px;
    height: 50px;
}

.starring[b-cl9s1e95xa] {
    /*        position: absolute;
    top: -9px;
    left: 2px;*/
    width: 32px;
    height: 32px;
    align-content: end;
}

.ArchivingLabel[b-cl9s1e95xa] {
    width: 120px;
    margin: 0;
    padding: 0;
}

.substudy[b-cl9s1e95xa] {
    width: 30px;
    height: 30px;
}

.moreDots[b-cl9s1e95xa] {
    width: 30px;
    height: 30px;
}

/*For the star*/
.rating[b-cl9s1e95xa] {
    display: flex;
    flex-direction: row-reverse;
    gap: 0.3rem;
    --stroke: #666;
    --fill: #ffc73a;
}

    .rating input[b-cl9s1e95xa] {
        appearance: unset;
    }

    .rating label[b-cl9s1e95xa] {
        cursor: pointer;
    }

    .rating svg[b-cl9s1e95xa] {
        width: 2.5rem;
        height: 2.5rem;
        overflow: visible;
        fill: transparent;
        stroke: var(--stroke);
        stroke-linejoin: bevel;
        stroke-dasharray: 12;
        animation: idle 4s linear infinite;
        transition: stroke 0.2s, fill 0.5s;
    }

/*  @@keyframes idle {
    from {
    stroke-dashoffset: 24;
    }
    }

    .rating label:hover svg {
    stroke: var(--fill);
    }

    .rating input:checked ~ label svg {
    transition: 0s;
    animation: idle 4s linear infinite, yippee 0.75s backwards;
    fill: var(--fill);
    stroke: var(--fill);
    stroke-opacity: 0;
    stroke-dasharray: 0;
    stroke-linejoin: miter;
    stroke-width: 8px;
    }

    @@keyframes yippee {
    0% {
    transform: scale(1);
    fill: var(--fill);
    fill-opacity: 0;
    stroke-opacity: 1;
    stroke: var(--stroke);
    stroke-dasharray: 10;
    stroke-width: 1px;
    stroke-linejoin: bevel;
    }

    30% {
    transform: scale(0);
    fill: var(--fill);
    fill-opacity: 0;
    stroke-opacity: 1;
    stroke: var(--stroke);
    stroke-dasharray: 10;
    stroke-width: 1px;
    stroke-linejoin: bevel;
    }

    30.1% {
    stroke: var(--fill);
    stroke-dasharray: 0;
    stroke-linejoin: miter;
    stroke-width: 8px;
    }

    60% {
    transform: scale(1.2);
    fill: var(--fill);
    }
    }*/
/* /Components/Subject/UC_MainSubjectPanel.razor.rz.scp.css */
.TempBoxDevelopment[b-3hijbthmrf] {
    background-color: lightskyblue;
    /*         display: flex;
        flex-wrap: wrap;*/
    flex: 1;
}



.boundingBoxStyle[b-3hijbthmrf] {
    border-style: none;
    border-radius: 20px;
    width: stretch;
    background-color: lightgray;
}

.firstRowStyle[b-3hijbthmrf] {
    border-style: none;
    width: stretch;
    display: flex;
    flex-wrap: wrap;
}

.secondRowStyle[b-3hijbthmrf] {
    border-style: none;
   /* width: stretch;*/
    display: flex;
    flex-wrap: wrap;
    flex-direction:row;
    padding-left: 50px;
    padding-top: 5px;
    padding-bottom: 0px;
}



.divstyle[b-3hijbthmrf] {
    border-style: none;
    border-radius: 10px;
    width: stretch;
    display: block;
    overflow: auto;
    margin: 20px;
    background-color: White;
    flex: 1 0 0%;
    padding: 5px;
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
}


.search-bar[b-3hijbthmrf] {
    flex: 1;
    height: 36px;
    padding-left: 10px;
    font-size: 16px;
    border-width: 1px;
    border-style: solid;
    border-color: rgb(184, 179, 179);
    border-radius: 2px;
    box-shadow: inset 1px 2px 3px rgba(0, 0, 0, 0.05);
    width: 0;
}

    .search-bar[b-3hijbthmrf]::placeholder {
        font-family: Roboto, Arial;
        font-size: 16px;
    }
.search-icon[b-3hijbthmrf] {
    height: 25px;
    margin-top: 4px;
}
.search-button[b-3hijbthmrf] {
    height: 36px;
    width: 66px;
    background-color: rgb(245, 247, 247);
    border-width: 1px;
    border-style: solid;
    margin-left: -1px;
    border-color: rgb(184, 179, 179);
    border-radius: 2px;
    cursor: pointer;
}

.buttonStyle[b-3hijbthmrf] {
 
    margin-left: 15px;
}

.middle-section[b-3hijbthmrf] {
    display: flex;
    align-items: center;
    flex: 1;
    margin-left: 5px;
    margin-right: 25px;
    max-width: 500px;
}

.containerTitle[b-3hijbthmrf] {
    margin-left: 15px;
    margin-top: 3px;
    margin-bottom: 5px;
    font-family: 'Segoe UI';
    font-size: 15px;
    font-weight: bold;
}

.regularinfo[b-3hijbthmrf] {
    margin-left: 15px;
    margin-top: 0;
    font-family: 'Segoe UI';
    tab-size: 4;
}

.FullProfilebtn[b-3hijbthmrf]
{
    
    background-color: darkgray;
    margin: 5px;
    border-radius:5px;
    color: white
}
/* /Pages/Index.razor.rz.scp.css */

<link href="BlazorServerApp.styles.css" rel="stylesheet"/>
<link href="~/css/site.css" rel="stylesheet"/>


<link rel="stylesheet" href="css/bootstrap/bootstrap.min.css"/>
<link href="_content/Syncfusion.Blazor.Themes/bootstrap5.css" rel="stylesheet"/>
<link rel="stylesheet" href="_content/Radzen.Blazor/css/material-base.css"/>

<link href="_content/MudBlazor/MudBlazor.min.css" rel="stylesheet"/>
<link href="https://fonts.googleapis.com/css?family=Roboto:300,400,500,700&display=swap" rel="stylesheet"/[b-6gblk87mqa]>



/* /Pages/Setttings/UserSettings.razor.rz.scp.css */
body[b-15wp9wpnc6] {
    width: auto;
    font-family: "lucida grande",tahoma,verdana,arial,sans-serif;
}
.titleheader[b-15wp9wpnc6] {
   
    font-size: 21px;
    font-weight:800;
}

.btn[b-15wp9wpnc6]{
    border-radius:7px;
    border-width:2px;
    border-style: solid;
    border-color:black;
}

.content[b-15wp9wpnc6] {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    column-gap: 20px;
    row-gap: 20px;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}
/* /Shared/HeaderBarMenu.razor.rz.scp.css */

.header[b-yob1atftmp] {
    /* display: flex;
    flex-direction: row;*/
    justify-content: space-between;
    align-items: flex-start;
    margin-top: 0px;
    /* height: 70px;*/
    border-bottom-style: solid;
    border-bottom-color: rgb(196, 194, 194);
    border-bottom-width: 1px;
    /*position: fixed;
    top: 0px;
    left: 0px;
    right: 0px;*/
    background-color: white;
    /*z-index: 100;*/
}


.top-row[b-yob1atftmp] {
    background-color: #f7f7f7;
    border-bottom: 1px solid #d6d5d5;
    justify-content: space-between;
    height: 3.5rem;
    display: flex;
    align-items: center;
}

    .top-row[b-yob1atftmp]  a, .top-row .btn-link[b-yob1atftmp] {
        white-space: nowrap;
        margin-left: 1.5rem;
    }

    .top-row a:first-child[b-yob1atftmp] {
        overflow: hidden;
        text-overflow: ellipsis;
    }


@media (max-width: 640.98px) {
    .top-row:not(.auth)[b-yob1atftmp] {
        display: none;
    }

    .top-row.auth[b-yob1atftmp] {
        justify-content: space-between;
    }

    .top-row a[b-yob1atftmp], .top-row .btn-link[b-yob1atftmp] {
        margin-left: 0;
    }
}

/*@media (min-width: 641px) {
    .page {*/
       /* flex-direction: row;*/
    /*}*/
/*
    .sidebar {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }*/

    .top-row[b-yob1atftmp] {
        position: sticky;
        top: 0;
        z-index: 1;
    }

    .top-row[b-yob1atftmp], article[b-yob1atftmp] {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }
}


.left-section[b-yob1atftmp] {
    display: flex;
    align-items: flex-start;
    align-content: flex-start;
    /* background-color: lightblue; */
}

.hamburger-menu[b-yob1atftmp] {
    height: 35px;
    margin-left: 4px;
    margin-right: 24px;
    cursor: pointer;
}
.showHide[b-yob1atftmp] {
    align-self: start;
    cursor: pointer;
}
.middle-section[b-yob1atftmp] {
    display: flex;
    align-items: center;
    flex: 1;
    margin-left: 70px;
    margin-right: 35px;
    max-width: 500px;
}

.search-bar[b-yob1atftmp] {
    flex: 1;
    height: 36px;
    padding-left: 10px;
    font-size: 16px;
    border-width: 1px;
    border-style: solid;
    border-color: rgb(184, 179, 179);
    border-radius: 2px;
    box-shadow: inset 1px 2px 3px rgba(0, 0, 0, 0.05);
    width: 0;
}

    .search-bar[b-yob1atftmp]::placeholder {
        font-family: Roboto, Arial;
        font-size: 16px;
    }


.search-button[b-yob1atftmp] {
    height: 36px;
    width: 66px;
    background-color: rgb(245, 247, 247);
    border-width: 1px;
    border-style: solid;
    margin-left: -1px;
    border-color: rgb(184, 179, 179);
    border-radius: 2px;
    cursor: pointer;
}

.search-icon[b-yob1atftmp] {
    height: 25px;
    margin-top: 4px;
}

.voice-button[b-yob1atftmp] {
    height: 40px;
    width: 40px;
    background-color: rgb(245, 247, 247);
    margin-left: 8px;
    border: none;
    cursor: pointer;
    border-radius: 18px;
}

.voice-icon[b-yob1atftmp] {
    height: 25px;
    margin-top: 4px;
}


.right-section[b-yob1atftmp] {
    /* width: 180px;*/
    color: black;
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-right: 0;
    flex-shrink: 0;
}


.upload-icon[b-yob1atftmp] {
    height: 24px;
}

.youtube-apps-icon[b-yob1atftmp] {
    height: 24px;
}

.notification-icon[b-yob1atftmp] {
    height: 28px;
}

.notifications-icon-container[b-yob1atftmp] {
    position: relative;
    margin-top: -12px;
    margin-right: 5px;
}

.notifications-count[b-yob1atftmp] {
    /* this is a comment */
    position: absolute;
    top: -5px;
    right: -5px;
    background-color: red;
    font-family: Arial;
    color: white;
    padding-left: 6px;
    padding-right: 6px;
    padding-top: 2px;
    padding-bottom: 2px;
    font-size: 12px;
    border-radius: 12px;
}

.current-user-picture[b-yob1atftmp] {
    height: 32px;
    border-radius: 16px;
    margin: 0;
    padding: 0;
}





.Righsideref[b-yob1atftmp] {
    color: black;
    margin: 0;
    padding: 0;
}

    .Righsideref:hover[b-yob1atftmp] {
        color: blue;
    }



.RecentItemContainer[b-yob1atftmp] {
    display: grid;
    grid-template-columns: 1fr 100px;
    /*  align-items: center;*/
    margin-top: 5px;
    border-bottom-style: solid;
    border-bottom-color: rgb(196, 194, 194);
    border-bottom-width: 2px;
    /*    padding-left: 2rem !important;
    padding-right: 1.5rem !important;*/
    /*display: flex;*/
    height: 70px;
    background-color: white
}

.Recentitems[b-yob1atftmp] {
    display: flex;
    flex-direction: row;
}
/* /Shared/MainLayout.razor.rz.scp.css */
/* /Shared/NavMenu.razor.rz.scp.css */
.navbar-toggler[b-01dw2z9bbm] {
    background-color: rgba(255, 255, 255, 0.1);

}

.doplrlogo[b-01dw2z9bbm]{
    height: 35px;
    margin-left: 15px;

}
.top-row[b-01dw2z9bbm] {
    height: 3.5rem;
    /*background-color: rgba(0,0,0,0.4);*/
  background-color: rgb(0, 0, 0,0.75);
    padding: 0;
    margin: 0;
}

.navbar-brand[b-01dw2z9bbm] {
    font-size: 1.1rem;

}

.oi[b-01dw2z9bbm] {
    width: 2rem;
    font-size: 1.1rem;
 
    vertical-align: text-top;
    top: -2px;
}

.nav-item[b-01dw2z9bbm] {
    font-size: 17px;
    padding-bottom: 10px;
    font-weight: 500;
}

    .nav-item:first-of-type[b-01dw2z9bbm] {
        padding-top: 1rem;
    }

    .nav-item:last-of-type[b-01dw2z9bbm] {
        padding-bottom: 1rem;
    }

    .nav-item[b-01dw2z9bbm]  a {
        color: #d7d7d7;
        border-radius: 4px;
        height: 3rem;
        display: flex;
        align-items: center;
        line-height: 3rem;
    }

.nav-item[b-01dw2z9bbm]  a.active {
    background-color: rgba(255,255,255,0.25);
    color: white;
}

.nav-item[b-01dw2z9bbm]  a:hover {
    background-color: rgba(255,255,255,0.1);
    color: white;
}

@media (min-width: 641px) {
    .navbar-toggler[b-01dw2z9bbm] {
        display: none;
    }

    .collapse[b-01dw2z9bbm] {
        /* Never collapse the sidebar for wide screens */
       /* display: block;*/
    }
    
    .nav-scrollable[b-01dw2z9bbm] {
        /* Allow sidebar to scroll for tall menus */
        height: calc(100vh - 3.5rem);
        overflow-y: auto;
    }
}



/* All below is for the day-night-switch*/

.theme-switch[b-01dw2z9bbm] {
    --toggle-size: 10px;
    /* the size is adjusted using font-size,
     this is not transform scale,
     so you can choose any size */
    --container-width: 5.625em;
    --container-height: 2.5em;
    --container-radius: 6.25em;
    /* radius 0 - minecraft mode :) */
    --container-light-bg: #3D7EAE;
    --container-night-bg: #1D1F2C;
    --circle-container-diameter: 3.375em;
    --sun-moon-diameter: 2.125em;
    --sun-bg: #ECCA2F;
    --moon-bg: #C4C9D1;
    --spot-color: #959DB1;
    --circle-container-offset: calc((var(--circle-container-diameter) - var(--container-height)) / 2 * -1);
    --stars-color: #fff;
    --clouds-color: #F3FDFF;
    --back-clouds-color: #AACADF;
    --transition: .5s cubic-bezier(0, -0.02, 0.4, 1.25);
    --circle-transition: .3s cubic-bezier(0, -0.02, 0.35, 1.17);
}

    .theme-switch[b-01dw2z9bbm], .theme-switch *[b-01dw2z9bbm], .theme-switch *[b-01dw2z9bbm]::before, .theme-switch *[b-01dw2z9bbm]::after {
        -webkit-box-sizing: border-box;
        box-sizing: border-box;
        margin: 0;
        padding: 0;
        font-size: var(--toggle-size);
    }

.theme-switch__container[b-01dw2z9bbm] {
    width: var(--container-width);
    height: var(--container-height);
    background-color: var(--container-light-bg);
    border-radius: var(--container-radius);
    overflow: hidden;
    cursor: pointer;
    -webkit-box-shadow: 0em -0.062em 0.062em rgba(0, 0, 0, 0.25), 0em 0.062em 0.125em rgba(255, 255, 255, 0.94);
    box-shadow: 0em -0.062em 0.062em rgba(0, 0, 0, 0.25), 0em 0.062em 0.125em rgba(255, 255, 255, 0.94);
    -webkit-transition: var(--transition);
    -o-transition: var(--transition);
    transition: var(--transition);
    position: relative;
}

    .theme-switch__container[b-01dw2z9bbm]::before {
        content: "";
        position: absolute;
        z-index: 1;
        inset: 0;
        -webkit-box-shadow: 0em 0.05em 0.187em rgba(0, 0, 0, 0.25) inset, 0em 0.05em 0.187em rgba(0, 0, 0, 0.25) inset;
        box-shadow: 0em 0.05em 0.187em rgba(0, 0, 0, 0.25) inset, 0em 0.05em 0.187em rgba(0, 0, 0, 0.25) inset;
        border-radius: var(--container-radius)
    }

.theme-switch__checkbox[b-01dw2z9bbm] {
    display: none;
}

.theme-switch__circle-container[b-01dw2z9bbm] {
    width: var(--circle-container-diameter);
    height: var(--circle-container-diameter);
    background-color: rgba(255, 255, 255, 0.1);
    position: absolute;
    left: var(--circle-container-offset);
    top: var(--circle-container-offset);
    border-radius: var(--container-radius);
    -webkit-box-shadow: inset 0 0 0 3.375em rgba(255, 255, 255, 0.1), inset 0 0 0 3.375em rgba(255, 255, 255, 0.1), 0 0 0 0.625em rgba(255, 255, 255, 0.1), 0 0 0 1.25em rgba(255, 255, 255, 0.1);
    box-shadow: inset 0 0 0 3.375em rgba(255, 255, 255, 0.1), inset 0 0 0 3.375em rgba(255, 255, 255, 0.1), 0 0 0 0.625em rgba(255, 255, 255, 0.1), 0 0 0 1.25em rgba(255, 255, 255, 0.1);
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-transition: var(--circle-transition);
    -o-transition: var(--circle-transition);
    transition: var(--circle-transition);
    pointer-events: none;
}

.theme-switch__sun-moon-container[b-01dw2z9bbm] {
    pointer-events: auto;
    position: relative;
    z-index: 2;
    width: var(--sun-moon-diameter);
    height: var(--sun-moon-diameter);
    margin: auto;
    border-radius: var(--container-radius);
    background-color: var(--sun-bg);
    -webkit-box-shadow: 0.062em 0.062em 0.062em 0em rgba(254, 255, 239, 0.61) inset, 0em -0.062em 0.062em 0em #a1872a inset;
    box-shadow: 0.062em 0.062em 0.062em 0em rgba(254, 255, 239, 0.61) inset, 0em -0.062em 0.062em 0em #a1872a inset;
    -webkit-filter: drop-shadow(0.062em 0.125em 0.125em rgba(0, 0, 0, 0.25)) drop-shadow(0em 0.062em 0.125em rgba(0, 0, 0, 0.25));
    filter: drop-shadow(0.062em 0.125em 0.125em rgba(0, 0, 0, 0.25)) drop-shadow(0em 0.062em 0.125em rgba(0, 0, 0, 0.25));
    overflow: hidden;
    -webkit-transition: var(--transition);
    -o-transition: var(--transition);
    transition: var(--transition);
}

.theme-switch__moon[b-01dw2z9bbm] {
    -webkit-transform: translateX(100%);
    -ms-transform: translateX(100%);
    transform: translateX(100%);
    width: 100%;
    height: 100%;
    background-color: var(--moon-bg);
    border-radius: inherit;
    -webkit-box-shadow: 0.062em 0.062em 0.062em 0em rgba(254, 255, 239, 0.61) inset, 0em -0.062em 0.062em 0em #969696 inset;
    box-shadow: 0.062em 0.062em 0.062em 0em rgba(254, 255, 239, 0.61) inset, 0em -0.062em 0.062em 0em #969696 inset;
    -webkit-transition: var(--transition);
    -o-transition: var(--transition);
    transition: var(--transition);
    position: relative;
}

.theme-switch__spot[b-01dw2z9bbm] {
    position: absolute;
    top: 0.75em;
    left: 0.312em;
    width: 0.75em;
    height: 0.75em;
    border-radius: var(--container-radius);
    background-color: var(--spot-color);
    -webkit-box-shadow: 0em 0.0312em 0.062em rgba(0, 0, 0, 0.25) inset;
    box-shadow: 0em 0.0312em 0.062em rgba(0, 0, 0, 0.25) inset;
}

    .theme-switch__spot:nth-of-type(2)[b-01dw2z9bbm] {
        width: 0.375em;
        height: 0.375em;
        top: 0.937em;
        left: 1.375em;
    }

    .theme-switch__spot:nth-last-of-type(3)[b-01dw2z9bbm] {
        width: 0.25em;
        height: 0.25em;
        top: 0.312em;
        left: 0.812em;
    }

.theme-switch__clouds[b-01dw2z9bbm] {
    width: 1.25em;
    height: 1.25em;
    background-color: var(--clouds-color);
    border-radius: var(--container-radius);
    position: absolute;
    bottom: -0.625em;
    left: 0.312em;
    -webkit-box-shadow: 0.937em 0.312em var(--clouds-color), -0.312em -0.312em var(--back-clouds-color), 1.437em 0.375em var(--clouds-color), 0.5em -0.125em var(--back-clouds-color), 2.187em 0 var(--clouds-color), 1.25em -0.062em var(--back-clouds-color), 2.937em 0.312em var(--clouds-color), 2em -0.312em var(--back-clouds-color), 3.625em -0.062em var(--clouds-color), 2.625em 0em var(--back-clouds-color), 4.5em -0.312em var(--clouds-color), 3.375em -0.437em var(--back-clouds-color), 4.625em -1.75em 0 0.437em var(--clouds-color), 4em -0.625em var(--back-clouds-color), 4.125em -2.125em 0 0.437em var(--back-clouds-color);
    box-shadow: 0.937em 0.312em var(--clouds-color), -0.312em -0.312em var(--back-clouds-color), 1.437em 0.375em var(--clouds-color), 0.5em -0.125em var(--back-clouds-color), 2.187em 0 var(--clouds-color), 1.25em -0.062em var(--back-clouds-color), 2.937em 0.312em var(--clouds-color), 2em -0.312em var(--back-clouds-color), 3.625em -0.062em var(--clouds-color), 2.625em 0em var(--back-clouds-color), 4.5em -0.312em var(--clouds-color), 3.375em -0.437em var(--back-clouds-color), 4.625em -1.75em 0 0.437em var(--clouds-color), 4em -0.625em var(--back-clouds-color), 4.125em -2.125em 0 0.437em var(--back-clouds-color);
    -webkit-transition: 0.5s cubic-bezier(0, -0.02, 0.4, 1.25);
    -o-transition: 0.5s cubic-bezier(0, -0.02, 0.4, 1.25);
    transition: 0.5s cubic-bezier(0, -0.02, 0.4, 1.25);
}

.theme-switch__stars-container[b-01dw2z9bbm] {
    position: absolute;
    color: var(--stars-color);
    top: -100%;
    left: 0.312em;
    width: 2.75em;
    height: auto;
    -webkit-transition: var(--transition);
    -o-transition: var(--transition);
    transition: var(--transition);
}

/* actions */

.theme-switch__checkbox:checked + .theme-switch__container[b-01dw2z9bbm] {
    background-color: var(--container-night-bg);
}

    .theme-switch__checkbox:checked + .theme-switch__container .theme-switch__circle-container[b-01dw2z9bbm] {
        left: calc(100% - var(--circle-container-offset) - var(--circle-container-diameter));
    }

        .theme-switch__checkbox:checked + .theme-switch__container .theme-switch__circle-container:hover[b-01dw2z9bbm] {
            left: calc(100% - var(--circle-container-offset) - var(--circle-container-diameter) - 0.187em)
        }

.theme-switch__circle-container:hover[b-01dw2z9bbm] {
    left: calc(var(--circle-container-offset) + 0.187em);
}

.theme-switch__checkbox:checked + .theme-switch__container .theme-switch__moon[b-01dw2z9bbm] {
    -webkit-transform: translate(0);
    -ms-transform: translate(0);
    transform: translate(0);
}

.theme-switch__checkbox:checked + .theme-switch__container .theme-switch__clouds[b-01dw2z9bbm] {
    bottom: -4.062em;
}

.theme-switch__checkbox:checked + .theme-switch__container .theme-switch__stars-container[b-01dw2z9bbm] {
    top: 50%;
    -webkit-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    transform: translateY(-50%);
}


